// When hovering over a li element in the main body of the page, add a button to copy the id of the element to the clipboard
$('li').hover(function() {

    // Check if the button is parented by an element with the class 'card', and if it is not, don't add the button
    if (!$(this).parent().parent().hasClass('card-body')) {
    return;
    }
    
    var id = $(this).attr('id');
    var button = $('<button style="height: 1.6rem; float: right; vertical-align: middle;" class="btn btn-primary fas fa-link" id="' + id + '"></button>');
    if (!document.getElementById(id).style.length) {
    document.getElementById(id).style = "background-color: #535c66";
    }

    $(this).append(button);
    button.click(function() {
    var id = $(this).attr('id');
    // Get Url of current page
    var url = window.location.href;
    // Remove hash from url if it exists
    if (url.indexOf('#') != -1) {
        url = url.substring(0, url.indexOf('#'));
    }
    
    // Add hash to url
    url += '#' + id;
    // Copy url to clipboard
    navigator.clipboard.writeText(url);
    alert("Copied link to clipboard!");
    $(this).remove();
    });
}, function() {
    $(this).find('button').remove();
    // Get current fragment of url
    var url = window.location.href;
    var hash = url.substring(url.indexOf('#'));
    var element = document.getElementById(hash.substring(1));
    if ($(this)[0] == element) {
    return;
    } else {
    document.getElementById($(this).attr('id')).style = "";
    }
});