function rtype_LoadScript(script_link) {
    var script = document.createElement('script');
    script.src = "/modules/resources-integration?f=" + script_link;
    // Check to see if the script is already loaded
    if (document.querySelector("script[src='" + script.src + "']") == null) {
        document.head.appendChild(script);
    }
}

function Markdown() {
    var list = ['id', 'title', 'logo_url', 'text', 'protected', 'navbar_name', 'navbar_icon', 'navbar_category', 'pretty_link'];
    list.forEach(function (element) {
        $('#' + "resource_" + element).on("input", function (e) {
            update();
        })
    });
}

function Editor() {
    var list = ['id', 'title', 'logo_url', 'text', 'protected', 'navbar_name', 'navbar_icon', 'navbar_category', 'pretty_link'];
    list.forEach(function (element) {
        $('#' + "resource_" + element).on("input", function (e) {
            update();
        })
    });
}

function Changelog() {
    var list = ['id', 'title', 'logo_url', 'text', 'protected', 'navbar_name', 'navbar_icon', 'navbar_category', 'pretty_link', 'sourcestyle'];
    list.forEach(function (element) {
        $('#' + "resource_" + element).on("input", function (e) {
            update();
        })
    });

    rtype_LoadScript("/js/jquery.caret.js");
    rtype_LoadScript("/js/editor/Changelog.js");

    window.setTimeout(() => {
        $(".topiclist").sortable({ update: updateChangelogs })
    }, 1000)

    window.setTimeout(() => {
        updateChangelogs()
    }, 300);

    // #resource_text on h1 or h3 click
    $("#resource_text").on("click", "h1", function (e) {
        $(this).focus();
        // Check where in the element the mouse pointer is
        var mouse_x = e.pageX - $(this).offset().left;

        // Get the index of the letter where the mouse pointer is
        var index = Math.floor(mouse_x / $(this).width() * $(this).text().length);

        // Set caret position to index
        var range = document.createRange();
        var sel = window.getSelection();
        range.setStart(this.childNodes[0], index);
        range.collapse(true);
        sel.removeAllRanges();
        sel.addRange(range);
    })

    $("#resource_text").on("click", "h3", function (e) {
        $(this).focus();
        // Check where in the element the mouse pointer is
        var mouse_x = e.pageX - $(this).offset().left;

        // Get the index of the letter where the mouse pointer is
        var index = Math.floor(mouse_x / $(this).width() * $(this).text().length);

        // Set caret position to index
        var range = document.createRange();
        var sel = window.getSelection();
        range.setStart(this.childNodes[0], index);
        range.collapse(true);
        sel.removeAllRanges();
        sel.addRange(range);
    })

    document.getElementById("modal_changelog_groupname").onkeyup = function (e) {
        if (e.key == "Enter") {
            addChangelogGroupConfirm();
        } else if (e.key == "Escape") {
            cancelAddChangelogGroup();
        }
    }

    // Loop through all the `.topiclist` elements and for each li element in it, get the h3 with the fontawesome-font class and
    // get the innerHTML of that element and set the select option with the fontawesome-font class to that value.
    window.setTimeout(() => {
        $(".topiclist").each(function (index, element) {
            $(element).find("li").each(function (index, element) {
                // Get the icon with the fontawesome-font class
                var icon = $(element).find("h3").first()[0];
                var select = $(element).find("select").first()[0];
                // Set the value of the select option to the innerHTML of the icon
                select.value = icon.innerHTML;
            })
        })
    }, 100)


    document.getElementById("resource_text").innerHTML = document.getElementById("resource_text").innerHTML
}

function FAQ() {
    var list = ['id', 'title', 'logo_url', 'text', 'protected', 'navbar_name', 'navbar_icon', 'navbar_category', 'pretty_link'];
    list.forEach(function (element) {
        $('#' + "resource_" + element).on("input", function (e) {
            update();
        })
    });
};