<?php

use Modules\ResourcesIntegration\Controllers\ResourcesController;
use Modules\ResourcesIntegration\Controllers\ResourcesEditorController;
use Slim\App;
use App\Middleware\AdminMiddleware;

return function (App $app) {
    $container = $app->getContainer();
    $app->post('/resources', ResourcesEditorController::class . ':posthandler')->add(new AdminMiddleware($container));
    $app->get('/admin/resources', ResourcesEditorController::class . ':menu')->add(new AdminMiddleware($container));

    $app->get('/resources/{resource}.raw', ResourcesController::class . ':resourceraw');
    $app->get('/resources/{resource}', ResourcesController::class . ':resource');
    $app->get('/resources', ResourcesEditorController::class . ':gethandler');
};
